Substy Developers
Intelligence

Get intelligence conversation

Read a Substy Intelligence conversation and its saved history. History can contain data from other categories and requires their corresponding read access.

GET/v1/agencies/{agencyId}/intelligence/conversations/{conversationId}

Read a Substy Intelligence conversation and its saved history. History can contain data from other categories and requires their corresponding read access.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
conversationId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/intelligence/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "messages": [      {        "attachments": null,        "redacted": true,        "role": "USER",        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "content": "string",        "creatorIds": [          "string"        ],        "sequence": 0,        "clientRequestId": null,        "conversationId": "string",        "runId": null,        "requiredPermissions": [          "string"        ],        "reasoningBlocks": null,        "artifacts": null      }    ],    "runs": [      {        "actions": [          {            "id": "string",            "createdAt": "2019-08-24T14:15:22Z",            "expiresAt": "2019-08-24T14:15:22Z",            "status": "COMPLETED",            "result": null,            "updatedAt": "2019-08-24T14:15:22Z",            "creatorIds": [              "string"            ],            "preview": null,            "errorMessage": null,            "runId": "string",            "toolName": "string",            "toolCallId": "string",            "requiredPermissions": [              "string"            ],            "risk": "REVERSIBLE_WRITE",            "argumentsHash": "string",            "arguments": null,            "permissionSnapshot": null,            "decidedAt": null,            "decidedByUserId": null,            "executedAt": null          }        ],        "userId": "string",        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "status": "RUNNING",        "updatedAt": "2019-08-24T14:15:22Z",        "completedAt": null,        "errorCode": null,        "errorMessage": null,        "startedAt": "2019-08-24T14:15:22Z",        "conversationId": "string",        "modelProfile": null,        "totalProviderMicrousd": "string",        "totalBilledMicrousd": "string",        "checkpointExpiresAt": "2019-08-24T14:15:22Z",        "checkpointDeletedAt": null,        "cancelRequestedAt": null      }    ],    "agencyId": "string",    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "deletedAt": null,    "pinned": true,    "title": "string",    "createdByUserId": "string",    "lastMessageAt": null,    "summary": null,    "summaryThroughSequence": 0,    "archivedAt": null,    "sharedAt": null,    "sharedByUserId": null  },  "meta": {    "requestId": "string"  }}